{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.desktop.de.plasma;
in {
  options.desktop.de.plasma = {
    enable = lib.mkEnableOption "Enable Plasma desktop environment with sddm";
  };

  config = lib.mkIf cfg.enable {
    # Enable plasma
    services.xserver.desktopManager.plasma5.enable = true;
  };
}
